<?php
# Przykład wywołania metody getBalance, umożliwiającej sprawdzenie stanu konta
try{
	$sLogin = ""; // Login konta w Postivo.pl
	$sApiPass = ""; // Hasło dostępu do konta przez API
	
	// Utworzenie klienta SOAP:
	$client = new SoapClient("http://api.postivo.pl/webservices.php?wsdl");
	
	// Wywołanie metody getBalance z przekazaniem wszystkich parametrów
	$output = $client->getBalance($sLogin, $sApiPass);

	// Przykład obsługi danych wyjściowych:
	echo "Status żądania: ".$output->result.", kod statusu żądania: ".$output->result_code.", opis statusu żądania: ".$output->result_description."<br />";
	echo "Aktualny stan konta: ".$output->balance." zł netto, Limit konta: ".$output->limit." zł netto, Typ konta: ".(($output->postpaid==1)? "POST-PAID" : "PRE-PAID");
}
catch(Exception $oE)
{
	// Obsluga bledu
	echo "Wystąpił błąd: ".$oE->getMessage();
}
?>